Subject: Re: [RTG-DIR] Discussion of "Interface to the Routing System" in Vancouver

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 26 Aug 2012 14:42:13 +0200

Hi Alia and Dave,

Reading through to find the definition of IRS within
<draft-ward-irs-framework-00> it still is not clear for me, not sure
its relationship with the network interfaces, please advise,

Regards
AB
===
> Hi,
>
> We have a slot on the agenda of the Routing Area Open Meeting to discuss a
> proposal for new work on an "Interface to the Routing System". We want to
> spend
> a little time looking at the proposal to see whether it has legs and to
> gauge
> the interest. In summary, the idea is to standardise a programmatic
> interface
> for full-duplex, streaming state transfer in and out of the Internet's
> routing
> system.
>
> You can read an I-D on the subject at
> http://lucidvision.com/draft-ward-irs-framework-00.txt  (this will be posted
> on
> Monday when the gates re-open) and there will be slides to guide the
> dicussion.
>
> I will also be opening a non-WG mailing list to give a place to discuss
> this
> topic.
>
> Adrian
>

---

From: Thomas Nadeau <[email-masked]>
Date: Mon, 27 Aug 2012 13:21:38 -0400

>its relationship with the network interfaces, please advise,

	I am not sure what your question exactly is. Network interfaces are used
by the routing system for route computation and ultimately used as
forwarding entities once routes are computed.  In IRS they are treated the
same way they are treated today.

	--Tom